stages:
  get_data:
    cmd: python src/tool/get_data.py
    deps:
      - src/tool/get_data.py
    outs:
      - data/original.csv
  preprocess:
    cmd: python src/tool/preprocess.py
    deps:
      - data/original.csv
      - src/tool/preprocess.py
    outs:
      - data/preprocessed.csv
  train:
    cmd: python src/tool/train.py
    deps:
      - data/preprocessed.csv
      - src/tool/train.py
    outs:
      - data/validation.csv
      - results/models/model.joblib
  validate:
    cmd: python src/tool/validate.py
    deps:
      - data/validation.csv
      - results/models/model.joblib
      - src/tool/validate.py